#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-flit
Version		:	3.9.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Simplified packaging of Python modules
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and ASL 2.0
URL		:	https://github.com/takluyver/flit

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	pyproject-rpm-macros
BuildRequires	:	python3-certifi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-docutils
BuildRequires	:	python3-idna
BuildRequires	:	python3-pip
BuildRequires	:	python3-requests
BuildRequires	:	python3-rpm-macros
BuildRequires	:	python3-urllib3

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Flit is a simple way to put Python packages and modules on PyPI.
	
Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.
	
Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.
	
Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.}
	
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%{python3_sitelib}/%{sname}/license_templates/*
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vcs/*.py
%{python3_sitelib}/%{sname}/vcs/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vendorized/*.py
%{python3_sitelib}/%{sname}/vendorized/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vendorized/readme/*.py
%{python3_sitelib}/%{sname}/vendorized/readme/__pycache__/*.pyc

#=============================================================================
%package		core
Summary		:	Simplified packaging of Python modules

#-----------------------------------------------------------------------------
%description		core
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.

#-----------------------------------------------------------------------------
%files			core
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitelib}/%{sname}_core/*.py
%{python3_sitelib}/%{sname}_core/__pycache__/*.pyc
%{python3_sitelib}/%{sname}_core-%{version}.dist-info/
%{python3_sitelib}/%{sname}_core/vendor/README
%{python3_sitelib}/%{sname}_core/vendor/*.py
%{python3_sitelib}/%{sname}_core/vendor/__pycache__/*.pyc
%{python3_sitelib}/%{sname}_core/vendor/tomli/py.typed
%{python3_sitelib}/%{sname}_core/vendor/tomli/*.py
%{python3_sitelib}/%{sname}_core/vendor/tomli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}_core/vendor/tomli-*.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
export FLIT_NO_NETWORK=1		
cd %{sname}_core
%pyproject_wheel
cd ..

# build of the main flit (needs flit_core)
export PYTHONPATH=$PWD:$PWD/%{sname}_core
%pyproject_wheel


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%pyproject_install

# don't ship tests in flit_core package
# if upstream decides to change the installation, it can be removed:
# https://github.com/takluyver/flit/issues/403
%{__rm} -r						\
	%{buildroot}%{python3_sitelib}/flit_core/tests/	

#-----------------------------------------------------------------------------
%changelog
